<template>
  <v-container>
    <v-row v-for="source in sources" v-bind:key="source.name">
      <v-file-input
        :label="source.description"
        outlined
        dense
        @change="changeSourceData($event, source)"
      ></v-file-input>
    </v-row>
  </v-container>
</template>

<script lang="ts">
import { Component, Vue } from "vue-property-decorator"
import { changeSourceData } from "@/controller"
import { getSources } from "@/store"

@Component({})
export default class SourceFileSelection extends Vue {
  sources = getSources()
  changeSourceData = changeSourceData
}
</script>
